[ubuntu/groovy-proposed] fprintd 1.90.9-1~ubuntu20.10.1 (Accepted)

Marco Trevisan (Treviño) marco at ubuntu.com
Wed Feb 24 00:45:47 UTC 2021


fprintd (1.90.9-1~ubuntu20.10.1) groovy; urgency=medium

  * Backport to groovy

fprintd (1.90.9-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Fix multiple daemon lockup issues (#97)
    - Fix print garbage collection to not delete used prints
    - pam: Use the device with the most prints
  * debian/control: Mark fprintd-doc as Multi-Arch: foreign

  [ Helmut Grohne ]
  * Fix nocheck FTFBS: Drop <!nocheck> from non-optional dependencies.
    (Closes: #977395)

fprintd (1.90.8-1~ubuntu20.10.1) groovy; urgency=medium

  * No-change backport to groovy (LP: #1908119)
  * debian/{control,gbp.conf}: Prepare for ubuntu groovy branching

fprintd (1.90.8-1) unstable; urgency=medium

  * New upstream release
    - pam: Only listen to NameOwnerChanged after fprintd is known to run
    - Place new ObjectManager DBus API at /net/reactivated/Fprint
  * debian/patches: Remove all patches, applied upstream or not needed anymore
  * debian/control: Depend on systemd 235, but only in linux
  * debian/rules: Require systemd and set unit path only on linux
  * debian/fprintd.install: Use dh-exec to filter linux-only files

fprintd (1.90.7-1) unstable; urgency=medium

  * New upstream release
    - Fix fprintd DBus configuration (Closes: #976990)
    - Change details of what requires authorization
    - Fix various race conditions in pam_fprintd
    - Permit interactive authorization from fprintd utilities
    - Do not allow deletion while another operation is ongoing
    - pam: Guard strdup calls against NULL pointers
  * debian/patches:
    - Refresh
    - Ignore NameOwnerChanged until fprintd is running

fprintd (1.90.5-2) unstable; urgency=medium

  * debian/patches: Make tests run with actual required libfprint version
  * debian/control: Remove test-only dependency on libfprint 1.90.4.
    Tests are now working with older libfprint versions too
  * debian/control: Add myself to Uploaders
  * debian/gbp.conf: Include suggested settings by GNOME team.
    Even if fprintd is not part of GNOME I think these settings are good
    practice anyways.

fprintd (1.90.5-1) unstable; urgency=medium

  * New upstream release:
    - Permit building with polkit older than 0.114
    - Fix possible issues with PAM test
    - Fix incorrect DBus policy
    - Fix build so that CFLAGS environment is correctly used
    - Skip hotplug test with older libfprint (which times out otherwise)
  * debian/patches: Drop patches applied upstream

fprintd (1.90.4-1) unstable; urgency=medium

  * Team upload.
  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Use GDBus and async Polkit checks
    - Authentication is now required to enroll a new print (LP: #1532264,
      Closes: #719004)
    - Add support for the libfprint early reporting mechanism
    - Proper hotplug support together with libfprint 1.90.4
    - Handle STATE_DIRECTORY containing multiple paths
    - Various memory fixes (LP: #1888495)
  * debian/control:
    - Remove build dependency on dbus-glib (Closes: #955893)
    - Mark as <!nocheck> the packages required only for testing
    - Use debhelper 13
    - Bump libfprint-2 dependency on 1.90.4 on test case
  * debian/rules:
    - remove unneeded override to force --fail-missing (as per dh 13)
    - Increase tests timeout multiplier
  * debian/patches:
    - Refresh
    - Define auto-pointers functions if not defined:
      Fixes a build failure with debian polkit version.
    - Cleanup pam-wrapper temporary dir when running tests
    - Fix dbus-policy file to address lintian
    - Ensure we generate debug symbols in debian builds

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

fprintd (1.90.1-2) unstable; urgency=low

  * Team upload.
  * Simplify the installation of the pam-config, do not install one
    configuration file per architecture
  * debian/NEWS: Add an news entry explaining that the user will have to
    re-enroll their fingerprints upon update to 1.90.1.

Date: Mon, 22 Feb 2021 16:14:02 +0100
Changed-By: Marco Trevisan (Treviño) <marco at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Iain Lane <iain at orangesquash.org.uk>
https://launchpad.net/ubuntu/+source/fprintd/1.90.9-1~ubuntu20.10.1
-------------- next part --------------
Format: 1.8
Date: Mon, 22 Feb 2021 16:14:02 +0100
Source: fprintd
Architecture: source
Version: 1.90.9-1~ubuntu20.10.1
Distribution: groovy
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Marco Trevisan (Treviño) <marco at ubuntu.com>
Closes: 719004 955893 976990 977395
Launchpad-Bugs-Fixed: 1532264 1888495 1908119
Changes:
 fprintd (1.90.9-1~ubuntu20.10.1) groovy; urgency=medium
 .
   * Backport to groovy
 .
 fprintd (1.90.9-1) unstable; urgency=medium
 .
   [ Marco Trevisan (Treviño) ]
   * New upstream release:
     - Fix multiple daemon lockup issues (#97)
     - Fix print garbage collection to not delete used prints
     - pam: Use the device with the most prints
   * debian/control: Mark fprintd-doc as Multi-Arch: foreign
 .
   [ Helmut Grohne ]
   * Fix nocheck FTFBS: Drop <!nocheck> from non-optional dependencies.
     (Closes: #977395)
 .
 fprintd (1.90.8-1~ubuntu20.10.1) groovy; urgency=medium
 .
   * No-change backport to groovy (LP: #1908119)
   * debian/{control,gbp.conf}: Prepare for ubuntu groovy branching
 .
 fprintd (1.90.8-1) unstable; urgency=medium
 .
   * New upstream release
     - pam: Only listen to NameOwnerChanged after fprintd is known to run
     - Place new ObjectManager DBus API at /net/reactivated/Fprint
   * debian/patches: Remove all patches, applied upstream or not needed anymore
   * debian/control: Depend on systemd 235, but only in linux
   * debian/rules: Require systemd and set unit path only on linux
   * debian/fprintd.install: Use dh-exec to filter linux-only files
 .
 fprintd (1.90.7-1) unstable; urgency=medium
 .
   * New upstream release
     - Fix fprintd DBus configuration (Closes: #976990)
     - Change details of what requires authorization
     - Fix various race conditions in pam_fprintd
     - Permit interactive authorization from fprintd utilities
     - Do not allow deletion while another operation is ongoing
     - pam: Guard strdup calls against NULL pointers
   * debian/patches:
     - Refresh
     - Ignore NameOwnerChanged until fprintd is running
 .
 fprintd (1.90.5-2) unstable; urgency=medium
 .
   * debian/patches: Make tests run with actual required libfprint version
   * debian/control: Remove test-only dependency on libfprint 1.90.4.
     Tests are now working with older libfprint versions too
   * debian/control: Add myself to Uploaders
   * debian/gbp.conf: Include suggested settings by GNOME team.
     Even if fprintd is not part of GNOME I think these settings are good
     practice anyways.
 .
 fprintd (1.90.5-1) unstable; urgency=medium
 .
   * New upstream release:
     - Permit building with polkit older than 0.114
     - Fix possible issues with PAM test
     - Fix incorrect DBus policy
     - Fix build so that CFLAGS environment is correctly used
     - Skip hotplug test with older libfprint (which times out otherwise)
   * debian/patches: Drop patches applied upstream
 .
 fprintd (1.90.4-1) unstable; urgency=medium
 .
   * Team upload.
   [ Marco Trevisan (Treviño) ]
   * New upstream release:
     - Use GDBus and async Polkit checks
     - Authentication is now required to enroll a new print (LP: #1532264,
       Closes: #719004)
     - Add support for the libfprint early reporting mechanism
     - Proper hotplug support together with libfprint 1.90.4
     - Handle STATE_DIRECTORY containing multiple paths
     - Various memory fixes (LP: #1888495)
   * debian/control:
     - Remove build dependency on dbus-glib (Closes: #955893)
     - Mark as <!nocheck> the packages required only for testing
     - Use debhelper 13
     - Bump libfprint-2 dependency on 1.90.4 on test case
   * debian/rules:
     - remove unneeded override to force --fail-missing (as per dh 13)
     - Increase tests timeout multiplier
   * debian/patches:
     - Refresh
     - Define auto-pointers functions if not defined:
       Fixes a build failure with debian polkit version.
     - Cleanup pam-wrapper temporary dir when running tests
     - Fix dbus-policy file to address lintian
     - Ensure we generate debug symbols in debian builds
 .
   [ Laurent Bigonville ]
   * debian/control: Bump Standards-Version to 4.5.1 (no further changes)
 .
 fprintd (1.90.1-2) unstable; urgency=low
 .
   * Team upload.
   * Simplify the installation of the pam-config, do not install one
     configuration file per architecture
   * debian/NEWS: Add an news entry explaining that the user will have to
     re-enroll their fingerprints upon update to 1.90.1.
Checksums-Sha1:
 ca6bbdde021dd20880331abe37cf4d90e16dc5a6 2699 fprintd_1.90.9-1~ubuntu20.10.1.dsc
 b5b12025ac7afdd15b83ca451289e859e76c6495 636538 fprintd_1.90.9.orig.tar.bz2
 f531ce9527e300822e138aa53c61bf3f3d17abe0 7088 fprintd_1.90.9-1~ubuntu20.10.1.debian.tar.xz
 fef8aa2f09b136b80f73d915b2f9f7a5d062efc4 12389 fprintd_1.90.9-1~ubuntu20.10.1_source.buildinfo
Checksums-Sha256:
 f575da0a86df101a1e3aa60e2df2a81a2d10275db517d27e9b23f2b79f077658 2699 fprintd_1.90.9-1~ubuntu20.10.1.dsc
 9c9dcef205be0dfc669e2c892b28224dcd517674214aba745697e7341e3aef6f 636538 fprintd_1.90.9.orig.tar.bz2
 15ae88f9fbd765a746a9ee298a0621d4319c38b4452c59378b22e9cc883ec5e7 7088 fprintd_1.90.9-1~ubuntu20.10.1.debian.tar.xz
 0f921c568178a0f7d214f6b854bf2d05a905c1fc2e7667e2c51748d0c243b65e 12389 fprintd_1.90.9-1~ubuntu20.10.1_source.buildinfo
Files:
 bffff73e58120bc8e9ff897b89b62d49 2699 misc optional fprintd_1.90.9-1~ubuntu20.10.1.dsc
 9e29cedc0e6648ec556ce78c245467a0 636538 misc optional fprintd_1.90.9.orig.tar.bz2
 1f21ddf1fcaf8a6ffd2d94b4ed7a536f 7088 misc optional fprintd_1.90.9-1~ubuntu20.10.1.debian.tar.xz
 33cc85608815fac47218d34a6bbdedca 12389 misc optional fprintd_1.90.9-1~ubuntu20.10.1_source.buildinfo
Original-Maintainer: FingerForce Team <fingerforce-devel at lists.alioth.debian.org>


More information about the Groovy-changes mailing list